#!/bin/bash

# Đường dẫn đến thư mục chứa các file sitemap
sitemap_folder="/rvgvn/web/sstruyen/sitemap"

# URL cũ và mới
old_url="sstruyen.vn"
new_url="timtruyen.com"

# Lặp qua tất cả các file trong thư mục sitemap và thực hiện thay thế
for file_path in "$sitemap_folder"/*; do
    # Kiểm tra nếu là file gzip
    if [[ "$file_path" == *.gz ]]; then
        # Giải nén và thay thế
        temp_file=$(mktemp)
        gzip -dc "$file_path" | sed "s/$old_url/$new_url/g" > "$temp_file"
        gzip "$temp_file" -c > "$file_path"
        rm "$temp_file"
    fi
done
